API explorerOncall
An on-call group
GET /api/agent/oncall/{groupId}. Required scopes: oncall:read.
Loading API reference…
Required scopes: oncall:read
bearer oncall:readAuthorizationBearer <token>A Notify agent token from notify auth login or the dashboard.
Scope: oncall:read
groupId*stringSuccess
application/jsongroup*curl -X GET 'https://example.com/api/agent/oncall/string'{ "group": { "id": "string", "teamId": "string", "name": "string", "rotation": { "members": [ { "userId": "string", "name": "string", "image": "string" } ], "period": "daily", "handoffAt": "string", "timezone": "string", "startsAt": "2019-08-24T14:15:22Z" }, "escalation": [ { "afterMinutes": 0, "target": "next" } ], "current": { "person": { "userId": "string", "name": "string", "image": "string" }, "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "override": true, "overrideId": "string" }, "upcoming": [ { "person": { "userId": "string", "name": "string", "image": "string" }, "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "override": true, "overrideId": "string" } ], "overrides": [ { "id": "string", "person": { "userId": "string", "name": "string", "image": "string" }, "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z" } ], "openPageCount": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}